Bug Hunting Session
Bug 126020 - LO Impress: Change slide vith video leads to crash
Summary: LO Impress: Change slide vith video leads to crash
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0 target:6.3.0.1
Keywords:
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2019-06-20 08:01 UTC by Vera Blagoveschenskaya
Modified: 2019-06-21 14:14 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
gdbtrace.log (280.68 KB, text/x-log)
2019-06-20 08:01 UTC, Vera Blagoveschenskaya
Details
gdb-backtrace.txt (14.00 KB, text/plain)
2019-06-20 11:35 UTC, Aleksei Nikiforov
Details
shortened valgrind log of the crash (7.91 KB, text/plain)
2019-06-21 01:16 UTC, Jan-Marek Glogowski
Details
slide_with_video.odp (4.17 MB, application/vnd.oasis.opendocument.presentation)
2019-06-21 12:25 UTC, Aleksei Nikiforov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vera Blagoveschenskaya 2019-06-20 08:01:08 UTC
Description:
Change slide vith video leads to crash

Steps to Reproduce:
1. Open document with video (in the attachment). It contains 1 slide with video, 2 and 3 with text
2. Start presentation from the 1st slide.
3. To change the slide, click to the area inside the video.

Actual Results:
Crash appears
See gdbtrace.log in the attachment

Expected Results:
No crash, normal slide changing


Reproducible: Always


User Profile Reset: No



Additional Info:
Reproduced for 

Version: 6.4.0.0.alpha0+
Build ID: f75c2b04785aa05cff3bcd52689feb7400a14e8e
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-06-15_11:49:26
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded

DOESN'T REPRODUCE for gtk3
Comment 1 Vera Blagoveschenskaya 2019-06-20 08:01:50 UTC
Created attachment 152305 [details]
gdbtrace.log
Comment 2 Aleksei Nikiforov 2019-06-20 11:35:28 UTC
Created attachment 152308 [details]
gdb-backtrace.txt

I could reproduce crash with following build:

Version: 6.4.0.0.alpha0+
Build ID: b674d3c12a5819fbcb551e83bf6862afc85ef7f3
CPU threads: 1; OS: Linux 4.19; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF-dbg, Branch:master, Time: 2019-06-15_21:06:59
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded

I used system with Qt 5.9.6. When I'm switching to system with Qt 5.12.2, crash doesn't reproduce anymore. There are other differences in system packages too, but this one looks most relevant.
Comment 3 Katarina Behrens (CIB) 2019-06-20 17:38:39 UTC
Did you people forget the attachment?
Comment 4 Jan-Marek Glogowski 2019-06-21 01:16:22 UTC
Created attachment 152320 [details]
shortened valgrind log of the crash

So I can also reproduce the crash in my Ubuntu Bionic chroot with qt 5.9.5+dfsg-0ubuntu2.1. As you can see in the valgrind log Qt deletes the Qt5Object, but still delivers events to the Qt5ObjectWindow, as this is actually a child of the Qt5Frame.

So we have to acknowledge deleted Qt5Objects, while the Qt5Frame is still alive keeping the Qt5ObjectWindow around. Interesting that this doesn't crash with newer Qt versions...
Comment 5 Commit Notification 2019-06-21 10:44:06 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/f0c9b93e5bc7976dea5de4a49be87cc9892941a7%5E%21

tdf#126020 Qt5 delete orphan Qt5ObjectWindows

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Aleksei Nikiforov 2019-06-21 12:25:59 UTC
Created attachment 152341 [details]
slide_with_video.odp

Attached example slides with video which crashed for me.
Comment 7 Aleksei Nikiforov 2019-06-21 12:27:23 UTC
(In reply to Aleksei Nikiforov from comment #6)
> Attached example slides with video which crashed for me.

I want to clarify that it's slide which caused crash from my comment #2, I didn't check fix from comment #5 yet.
Comment 8 Commit Notification 2019-06-21 14:11:27 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/86eb298506464a6138015168c00253096e3c6d05%5E%21

tdf#126020 Qt5 delete orphan Qt5ObjectWindows

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.